[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [Libguestfs] [libguestfs] Cannot install libguestfs 1.31.19 (#14)



On Fri, Oct 23, 2015 at 02:34:53AM -0700, Jean-Christophe Manciot wrote:
> Compiled from github sources and installed:
>
> "trying to overwrite
> '/usr/lib/x86_64-linux-gnu/perl/5.20.2/perllocal.pod', which is also
> in package git 1:2.6.0-1"
>
> What should be done to overcome that incompatibility with git?

First off, don't use 'make install' except when building a distro
package, as you'll end up with multiple versions of libguestfs
installed and that causes pain.

In Fedora, we do 'make install DESTDIR=...' in a buildroot, and then
remove the 'perllocal.pod' file before building the final distro
package.  See:

http://pkgs.fedoraproject.org/cgit/libguestfs.git/tree/libguestfs.spec?id=93def76b1d5b6efd4da7ed7d3ceadbb817b5c959#n911

So if you're building a distro package, then you probably want to do
something similar to this and the problem doesn't arise.

When we install the Perl files, all we do is run Perl's
ExtUtils::MakeMaker.  See:

https://github.com/libguestfs/libguestfs/blob/master/perl/Makefile.am
https://github.com/libguestfs/libguestfs/blob/master/perl/Makefile.PL.in

So if there is a proper solution to this, it must lie with ExtUtils.

Rich.

-- 
Richard Jones, Virtualization Group, Red Hat http://people.redhat.com/~rjones
Read my programming and virtualization blog: http://rwmj.wordpress.com
virt-builder quickly builds VMs from scratch
http://libguestfs.org/virt-builder.1.html


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]